#!/usr/bin/perl
#
##
#######################################################
#		Click It v1.11
#     
#    		Created by Solution Scripts
# 		Email: solutions@solutionscripts.com
#		Web: http://solutionscripts.com
#
#######################################################
#
#
# COPYRIGHT NOTICE:
#
# Copyright 1997 Solution Scripts  All Rights Reserved.
#
# Selling or redistributing the code for this program without prior written consent is
# expressly forbidden. In all cases copyright and header must remain intact.
#
#
######################################################

require "variables.pl";


$version = "1.11";
$click_name = "$variables{'click_name'}";
$credit = "$variables{'credit'}";
$path= "$variables{'path'}";
$per_click = "$variables{'per_click'}";
$pay_out  = "$variables{'pay_out'}";



$time = time;

print "Content-type: text/html\n\n";

read(STDIN, $buffer, $ENV{'CONTENT_LENGTH'});
@pairs = split(/&/, $buffer);
foreach $pair (@pairs) {
	($name, $value) = split(/=/, $pair);
	$value =~ tr/+/ /;
	$value =~ s/%([a-fA-F0-9][a-fA-F0-9])/pack("C", hex($1))/eg;
	if ($INPUT{$name}) { $INPUT{$name} = $INPUT{$name}.",".$value; }
	else { $INPUT{$name} = $value; }
}

&Header;

if ($INPUT{'edit'}) { &edit; }
elsif ($INPUT{'editfinal'}) { &editfinal; }
elsif ($INPUT{'acc_edit'}) { &acc_edit; }
elsif ($INPUT{'daily'}) { &daily; }
elsif ($INPUT{'paid'}) { &paid; }
elsif ($INPUT{'del'}) { &del; }
elsif ($INPUT{'del_final'}) { &del_final; }
elsif ($INPUT{'newaccount'}) {&newaccount; }
&main;
exit;

sub main {

print <<EOF;
<CENTER>

<FORM METHOD=POST ACTION="add.cgi">
<table cellspacing =1 bgcolor =#00416B border=0 cellpadding =8>
<TR bgcolor=#E4E4E4 align=center>
<TD colspan=2>
<FONT SIZE="-1" FACE="Arial"><B>View Existing Account Stats</B><font size=-1>
</TD>
</TR>

<TR bgcolor=white align=center>
<TD align=right>
<FONT SIZE="-1" FACE="Arial">Account name:<BR><font size=-1>
</TD>
<TD align=left>
<INPUT TYPE="TEXT" NAME="account" VALUE="" SIZE=20>
</TD>
</TR>
<TR bgcolor=white align=center>
<TD align=right>
<FONT SIZE="-1" FACE="Arial">Password:<BR><font size=-1>
</TD>
<TD align=left>
<INPUT TYPE="PASSWORD" NAME="pass" VALUE="" SIZE=20>
</TD>
</TR>
<TR bgcolor=#E4E4E4 align=center>
<TD colspan=2>
<INPUT TYPE="SUBMIT" NAME="edit" VALUE="View Account">
</TD>
</TR>

</TABLE></FORM>



<BR><BR>

<FORM METHOD=POST ACTION="add.cgi">
<table cellspacing =1 bgcolor =#00416B border=0 cellpadding =8>
<TR bgcolor=white align=center>
<TD colspan=2>
<FONT FACE="Arial"><b>Create a new account</FONT></B></TD></TR>

<TR bgcolor=#E4E4E4 align=center>
<TD align=right>
<FONT SIZE="-1" FACE="Arial">Account name:<BR><font size=-1><i>No spaces</I>
</TD>
<TD align=left>
<INPUT TYPE="TEXT" NAME="account" VALUE="" SIZE=20>
</TD>
</TR>
EOF

&good_stuff;

print <<EOF;

<TR bgcolor=#E4E4E4 align=center>
<TD colspan=2>
<INPUT TYPE="SUBMIT" NAME="newaccount" VALUE="Join Now">
</TD>
</TR>

</TABLE>
</FORM>
EOF

&Footer;
exit;
}

sub newaccount {


$account = $INPUT{'account'};
$account = "\L$account\E";
unless ($account =~ /([a-z]{3,12})$/) {
	$error .= "The account name <font color=red>$account</FONT> is invalid<BR><BR>";
	}

if ( ( -e "$path/data/accounts/$account.txt" ) || ( -e "$path/data/temp/$account.txt" ) ) {
	$error .= "The account name $account has already been taken<BR><BR>";
}
unless ($INPUT{'contname'}) {
	$error .= "You must enter the site name<br><BR>";
}
unless ($INPUT{'url'}=~/\http:/)   { 
	$error .= "You have entered an invalid url for you site<br><BR>\n";
}
unless ($INPUT{'email'}=~/\@/)   { 
	$error .= "You have entered an invalid e-mail address<br><BR>\n";
}
unless ($INPUT{'pass'} eq $INPUT{'pass1'}) {
	$error .= "The two passwords you entered must be the same<br><BR>\n";
}

if ($error) {
print <<EOF;
<table cellspacing =1 bgcolor =#00416B border=0 cellpadding =8>
<TR bgcolor=#E4E4E4 align=center><TD><FONT SIZE="-1" FACE="Arial"><B>Please go back and fix the following</B><BR><BR>
$error
</TD></TR></TABLE>
EOF
	&Footer;
	exit;
	}
$password = crypt($INPUT{'pass'}, ar);

open( PAGE, ">$path/data/temp/$account.txt") || &error("Can not open $path/data/temp/$account.txt for writing");
flock PAGE, 2;

print PAGE "$INPUT{'email'}\n";
print PAGE "$INPUT{'url'}\n";
print PAGE "$INPUT{'compname'}\n";
print PAGE "$INPUT{'contname'}\n";
print PAGE "$INPUT{'address'}\n";
print PAGE "$INPUT{'city'}\n";
print PAGE "$INPUT{'state'}\n";
print PAGE "$INPUT{'tax'}\n";
print PAGE "$password\n";
print PAGE "$time\n";
print PAGE "0\n0\n0\n";
print PAGE "$INPUT{'country'}\n";
close PAGE;

print <<EOF;
<div align="center"><center>

<table cellspacing="1" bgcolor="#000000" border="0" cellpadding="8">
  <tr bgcolor="#E4E4E4" align="center">
    <td bgcolor="#000000"><font SIZE="-1" face="Verdana">Thank you for joining $click_name<br>
    <br>
    Your account first must be confirmed before you<br>
    can start earning money with the click-thru program<br>
    <br>
    You will recieve email notification if your account is confirmed or denied </font></td>
  </tr>
</table>
</center></div>
EOF


&Footer;

exit;
}


sub acc_edit {
$account = $INPUT{'function'};

open (PASSWORD, "$path/data/accounts/$account.txt");
@accounts = <PASSWORD>;
close (PASSWORD);


print <<EOF;
<CENTER>
<table cellspacing =1 bgcolor =#00416B border=0 cellpadding =3>
<TR bgcolor=#E4E4E4 align=center><TD colspan=10><FONT size="-1" FACE="Arial">Information for account: <FONT COLOR="#FF0000">$account</FONT>
</TD></TR></TABLE><BR><BR>

<FORM METHOD=POST ACTION="add.cgi">
<table cellspacing =1 bgcolor =#00416B border=0 cellpadding =8>

EOF

&good_stuff;

print <<EOF;

<TR bgcolor=#E4E4E4 align=center>
<TD align=right bgcolor=red>
<FONT SIZE="-1" FACE="Arial"><B>Current Password</B>:
</TD>
<TD align=left>
<INPUT TYPE="PASSWORD" NAME="password" VALUE="" SIZE=20>
</TD>
</TR>

<TR bgcolor=#E4E4E4 align=center>
<TD colspan=2>
<INPUT TYPE="SUBMIT" NAME="editfinal" VALUE="Edit Account">
</TD>
</TR>

</TABLE>

<INPUT TYPE="HIDDEN" NAME="function" VALUE="$account">
</FORM>
EOF

&Bottom;
exit;
}


sub good_stuff {

print <<EOF;

<table bgcolor="#000000" cellspacing="1" cellpadding="2">
  <tr bgcolor="#E4E4E4" align="center">
    <td align="right" bgcolor="#000000"><font face="Verdana" SIZE="-1" color="#FFFF00">Email
    Address: </font></td>
    <td align="left" bgcolor="#000000"><font color="#FFFFFF"><input TYPE="TEXT" NAME="email"
    VALUE="$accounts[0]" SIZE="20"> </font></td>
  </tr>
  <tr bgcolor="#E4E4E4" align="center">
    <td align="right" bgcolor="#000000"><font face="Verdana" SIZE="-1" color="#FFFF00">Site
    Url: </font></td>
    <td align="left" bgcolor="#000000"><font color="#FFFFFF"><input TYPE="TEXT" NAME="url"
    VALUE="$accounts[1]" SIZE="35"> </font></td>
  </tr>
  <tr bgcolor="#E4E4E4" align="center">
    <td align="right" bgcolor="#000000"><font face="Verdana" SIZE="-1" color="#FFFF00">Company
    Name: </font></td>
    <td align="left" bgcolor="#000000"><font color="#FFFFFF"><input TYPE="TEXT"
    NAME="compname" VALUE="$accounts[2]" SIZE="35"> </font></td>
  </tr>
  <tr bgcolor="#E4E4E4" align="center">
    <td align="right" bgcolor="#000000"><font face="Verdana" SIZE="-1" color="#FFFF00">Contact
    Name: </font></td>
    <td align="left" bgcolor="#000000"><font color="#FFFFFF"><input TYPE="TEXT"
    NAME="contname" VALUE="$accounts[3]" SIZE="35"> </font></td>
  </tr>
  <tr bgcolor="#E4E4E4" align="center">
    <td align="right" bgcolor="#000000"><font face="Verdana" SIZE="-1" color="#FFFF00">Address:
    </font></td>
    <td align="left" bgcolor="#000000"><font color="#FFFFFF"><input TYPE="TEXT" NAME="address"
    VALUE="$accounts[4]" SIZE="35"> </font></td>
  </tr>
  <tr bgcolor="#E4E4E4" align="center">
    <td align="right" bgcolor="#000000"><font face="Verdana" SIZE="-1" color="#FFFF00">City: </font></td>
    <td align="left" bgcolor="#000000"><font color="#FFFFFF"><input TYPE="TEXT" NAME="city"
    VALUE="$accounts[5]" SIZE="20"> </font></td>
  </tr>
  <tr bgcolor="#E4E4E4" align="center">
    <td align="right" bgcolor="#000000"><font face="Verdana" SIZE="-1" color="#FFFF00">State /
    Zip Code: </font></td>
    <td align="left" bgcolor="#000000"><font color="#FFFFFF"><input TYPE="TEXT" NAME="state"
    VALUE="$accounts[6]" SIZE="20"> </font></td>
  </tr>
  <tr bgcolor="#E4E4E4" align="center">
    <td align="right" bgcolor="#000000"><font face="Verdana" SIZE="-1" color="#FFFF00">Country
    </font></td>
    <td align="left" bgcolor="#000000"><font color="#FFFFFF"><input TYPE="TEXT" NAME="country"
    VALUE="$accounts[13]" SIZE="20"> </font></td>
  </tr>
  <tr bgcolor="#E4E4E4" align="center">
    <td align="right" bgcolor="#000000"><font face="Verdana" SIZE="-1" color="#FFFF00">Tax ID
    (ssn): </font></td>
    <td align="left" bgcolor="#000000"><font color="#FFFFFF"><input TYPE="TEXT" NAME="tax"
    VALUE="$accounts[7]" SIZE="20"> </font></td>
  </tr>
  <tr bgcolor="#E4E4E4" align="center">
    <td align="right" bgcolor="#000000"><font face="Verdana" SIZE="-1" color="#FFFF00">Password:
    </font></td>
    <td align="left" bgcolor="#000000"><font color="#FFFFFF"><input TYPE="PASSWORD"
    NAME="pass" VALUE SIZE="20"> </font></td>
  </tr>
  <tr bgcolor="#E4E4E4" align="center">
    <td align="right" bgcolor="#000000"><font face="Verdana" SIZE="-1" color="#FFFF00">Confirm
    Password: </font></td>
    <td align="left" bgcolor="#000000"><font color="#FFFFFF"><input TYPE="PASSWORD"
    NAME="pass1" VALUE SIZE="20"> </font></td>
  </tr>
</table>
EOF

}

sub edit {

unless ($INPUT{'pass'}) {
print <<EOF;
<div align="center"><center>

<table cellspacing="1" bgcolor="#000000" border="0" cellpadding="8">
  <tr bgcolor="#E4E4E4" align="center">
    <td bgcolor="#000000"><strong><font face="Verdana" color="#FFFF00" size="-1">You must
    enter a password to edit</font><font face="Verdana" color="#FFFF00"> </font></strong></td>
  </tr>
</table>
</center></div>
EOF
&Footer;
exit;
}

$password = crypt($INPUT{'pass'}, ar);

open (PASSWORD, "$path/data/accounts/$INPUT{'account'}.txt") || &no_acc($INPUT{'account'});
@accounts = <PASSWORD>;
close (PASSWORD);
chomp($accounts[8]);
unless($password eq $accounts[8]) {

print <<EOF;
<div align="center"><center>

<table cellspacing="1" bgcolor="#000000" border="0" cellpadding="8">
  <tr bgcolor="#E4E4E4" align="center">
    <td bgcolor="#000000"><font color="#FFFF00" face="Verdana" size="-1"><b>Access Denied</b><br>
    <br>
    Incorrect Password</font><font color="#FFFF00" face="Verdana"> </font></td>
  </tr>
</table>
</center></div>
EOF
&Footer;
exit;


}

$monies = $per_click * $accounts[11];

print <<EOF;
<form METHOD="POST" ACTION="add.cgi">
  <input type="hidden" name="function" value="$INPUT{'account'}"><div align="center"><center><table
  cellspacing="1" bgcolor="#FFFFFF" border="0" cellpadding="8">
    <tr bgcolor="#E4E4E4" align="center">
      <td bgcolor="#000000"><font face="Verdana"><font size="-1"><b>$INPUT{'account'}</b></font>
      </font></td>
      <td bgcolor="#000000"><font face="Verdana"><input TYPE="SUBMIT" NAME="daily"
      VALUE="Daily Stats"></font></td>
      <td bgcolor="#000000"><font face="Verdana"><input TYPE="SUBMIT" NAME="paid"
      VALUE="Paid Log"></font></td>
      <td bgcolor="#000000"><font face="Verdana"><input TYPE="SUBMIT" NAME="acc_edit"
      VALUE="Edit Details"></font></td>
      <td bgcolor="#000000"><font face="Verdana"><input TYPE="SUBMIT" NAME="del"
      VALUE="Delete Account"></font></td>
    </tr>
  </table>
  </center></div><div align="center"><center><table border="0" cellspacing="0" width="74%"
  height="31">
    <tr>
      <td width="100%" height="29"><div align="center"><center><p><font face="Verdana"
      color="#FFFF00"><strong>ACCOUNT INFORMATION</strong></font></td>
    </tr>
  </table>
  </center></div><div align="center"><center><table border="0" cellspacing="1" width="93%"
  bgcolor="#FFFFFF" cellpadding="4">
    <tr>
      <td width="25%" bgcolor="#000000"><div align="left"><p><font face="Verdana"
      color="#FFFF00"><small><strong>Company Name:</strong></small></font></td>
      <td width="25%" bgcolor="#000000"><small><font face="Verdana">$accounts[2]</font></small></td>
      <td width="25%" bgcolor="#000000"><font face="Verdana" color="#FFFF00"><small><strong>Contact
      Name:</strong></small></font></td>
      <td width="25%" bgcolor="#000000"><small><font face="Verdana">$accounts[3]</font></small></td>
    </tr>
    <tr>
      <td width="25%" bgcolor="#000000"><div align="left"><p><font face="Verdana"
      color="#FFFF00"><small><strong>Address:</strong></small></font></td>
      <td width="25%" bgcolor="#000000"><small><font face="Verdana">$accounts[4]</font></small></td>
      <td width="25%" bgcolor="#000000"><font face="Verdana" color="#FFFF00"><small><strong>City:</strong></small></font></td>
      <td width="25%" bgcolor="#000000"><small><font face="Verdana">$accounts[5]</font></small></td>
    </tr>
    <tr>
      <td width="25%" bgcolor="#000000"><font face="Verdana" color="#FFFF00"><small><strong>State/Zip
      Code:</strong></small></font></td>
      <td width="25%" bgcolor="#000000"><small><font face="Verdana">$accounts[6]</font></small></td>
      <td width="25%" bgcolor="#000000"><font face="Verdana" color="#FFFF00"><small><strong>Tax
      ID/SS#:</strong></small></font></td>
      <td width="25%" bgcolor="#000000"></td>
    </tr>
    <tr>
      <td width="25%" bgcolor="#000000"><font face="Verdana" color="#FFFF00"><small><strong>Website
      URL:</strong></small></font></td>
      <td width="25%" bgcolor="#000000"><small><font face="Verdana"><a HREF="$accounts[1]">$accounts[1]</a></font></small></td>
      <td width="25%" bgcolor="#000000"><font face="Verdana" color="#FFFF00"><small><strong>Email
      Address:</strong></small></font></td>
      <td width="25%" bgcolor="#000000"><small><font face="Verdana"><a
      HREF="mailto:$accounts[0]">$accounts[0]</a></font></small></td>
    </tr>
  </table>
  </center></div><div align="center"><center><table border="0" cellspacing="0" width="74%"
  height="31">
    <tr>
      <td width="100%" height="29"><div align="center"><center><p><font face="Verdana"
      color="#FFFF00"><strong>TRAFFIC INFORMATION</strong></font></td>
    </tr>
  </table>
  </center></div><div align="center"><center><table border="0" cellspacing="1" width="93%"
  bgcolor="#FFFFFF" cellpadding="4">
    <tr>
      <td width="25%" bgcolor="#000000"><font face="Verdana" color="#FFFF00"><small><strong>Click
      Throughs:</strong></small></font></td>
      <td width="25%" bgcolor="#000000"><small><font face="Verdana">$accounts[11]</font></small></td>
      <td width="25%" bgcolor="#000000"><font face="Verdana" color="#FFFF00"><small><strong>Price
      Per Click:</strong></small></font></td>
      <td width="25%" bgcolor="#000000"><small><font face="Verdana">\$$per_click </font></small></td>
    </tr>
    <tr>
      <td width="25%" bgcolor="#000000"><font face="Verdana" color="#FFFF00"><small><strong>Total
      Money Earned:</strong></small></font></td>
      <td width="25%" bgcolor="#000000"><small><font face="Verdana">\$$monies </font></small></td>
      <td width="25%" bgcolor="#000000"><font face="Verdana" color="#FFFF00"><small><strong>Total
      Money Paid:</strong></small></font></td>
      <td width="25%" bgcolor="#000000"><small><font face="Verdana">\$$accounts[12]</font></small></td>
    </tr>
  </table>
  </center></div><div align="center"><center><table border="0" cellspacing="0" width="74%"
  height="31">
    <tr>
      <td width="100%" height="29"><div align="center"><center><p><font face="Verdana"
      color="#FFFF00"><strong>SUPPORT INFORMATION</strong></font></td>
    </tr>
  </table>
  </center></div><div align="center"><center><table border="0" cellspacing="1" width="93%"
  cellpadding="4" bgcolor="#FFFFFF">
    <tr>
      <td width="50%" bgcolor="#000000"><div align="center"><center><p><font face="Verdana"
      color="#FFFF00"><small><strong>By Email:</strong></small></font></td>
      <td width="50%" bgcolor="#000000" align="center"><div align="center"><center><p><font
      face="Verdana" color="#FFFF00"><small><strong>BY ICQ:</strong></small></font></td>
    </tr>
  </table>
  </center></div><div align="center"><center><table border="0" cellspacing="0" width="74%"
  height="31">
    <tr>
      <td width="100%" height="29"><div align="center"><center><p><font face="Verdana"
      color="#FFFF00"><strong>LINKING INFORMATION</strong></font></td>
    </tr>
  </table>
  </center></div><div align="center"><center><table border="0" cellspacing="1" width="93%"
  cellpadding="4" bgcolor="#FFFFFF">
    <tr>
      <td width="100%" bgcolor="#000000"><div align="center"></div></td>
    </tr>
  </table>
  </center></div><div align="center"><center><p><br>
  </p>
  </center></div>
</form>
EOF


print <<EOF;




EOF


&Footer;
exit;
}


sub daily {
$account = $INPUT{'function'};
open (PASSWORD, "$path/data/accounts/$account.txt");
@accounts = <PASSWORD>;
close (PASSWORD);

open (PASSWORD, "$path/data/daily/$account.txt");
@daily = <PASSWORD>;
close (PASSWORD);

$days = int(($time - $accounts[10]) / 86400);
$cash = $accounts[11] * $per_click;


print <<EOF;
<table cellspacing="1" bgcolor="#FFFFFF" border="0" cellpadding="3">
  <tr bgcolor="#E4E4E4" align="center">
    <td colspan="3" bgcolor="#000000"><font color="#FFFF00"><font face="Verdana"><font
    size="-1">Daily click log</font> </font></font></td>
  </tr>
  <tr bgcolor="#E4E4E4" align="center">
    <td bgcolor="#000000"><font face="Verdana" color="#FFFF00" size="-1">Date</font><font
    face="Verdana" color="#FFFF00"> </font></td>
    <td bgcolor="#000000"><font face="Verdana" color="#FFFF00" size="-1">Clicks</font><font
    face="Verdana" color="#FFFF00"> </font></td>
    <td bgcolor="#000000"><font face="Verdana" color="#FFFF00" size="-1">Amount</font><font
    face="Verdana" color="#FFFF00"> </font></td>
  </tr>
</table>
EOF

foreach $entry(@daily) {
@out = split(/\|/,$entry);
$amount = $out[2] * $per_click;
print <<EOF;
<TR bgcolor=white>
<TD><FONT size="-1" FACE="Arial">$out[0]</FONT>
</TD><TD><FONT size="-1" FACE="Arial">$out[2]</FONT>
</TD><TD><FONT size="-1" FACE="Arial">$amount</FONT>
</TD></TR>

EOF
}

print "</TABLE>";
&Footer;
exit;
}

## EDIT FINAL ##

sub editfinal {

$account = $INPUT{'function'};

open( PAGE, "<$path/data/accounts/$account.txt");
flock PAGE, 2;
@accounts = <PAGE>;
close PAGE;

$accounts[0] = "$INPUT{'email'}\n";
$accounts[1] =  "$INPUT{'url'}\n";
$accounts[2] =  "$INPUT{'compname'}\n";
$accounts[3] =  "$INPUT{'contname'}\n";
$accounts[4] = "$INPUT{'address'}\n";
$accounts[5] =  "$INPUT{'city'}\n";
$accounts[6] =  "$INPUT{'state'}\n";
$accounts[7] =  "$INPUT{'tax'}\n";
if ($INPUT{'pass'}) {
$password = crypt($INPUT{'pass'}, ar);
$accounts[8] =  "$password\n";
}
$accounts[13] =  "$INPUT{'country'}\n";


open( PAGE, ">$path/data/accounts/$account.txt") || &error("Can not open $path/data/$confirmit/$account.txt for writing");
flock PAGE, 2;
print PAGE @accounts;
close PAGE;


print <<EOF;
<div align="center"><center>

<table cellspacing="1" bgcolor="#FFFFFF" border="0" cellpadding="3">
  <tr bgcolor="#E4E4E4" align="center">
    <td bgcolor="#000000"><font size="3"><font color="#FFFF00"><font face="Verdana">$account
    Updated </font></font></font></td>
  </tr>
</table>
</center></div>

<p align="center"><font face="Verdana" color="#FFFF00"><strong><small><a
href="http://www.downloadcorner.com/cgi-bin/traffic/add.cgi">CLICK HERE</a> TO GO BACK TO
THE MEMBERS SECTION</small></strong></font></p>

EOF
&Footer;
exit;
}


sub paid {
$account = $INPUT{'function'};

open (PASSWORD, "$path/data/paid/$account.txt");
@paid = <PASSWORD>;
close (PASSWORD);

print <<EOF;
<table cellspacing="1" bgcolor="#FFFFFF" border="0" cellpadding="3">
  <tr bgcolor="#E4E4E4" align="center">
    <td colspan="2" bgcolor="#000000"><font face="Verdana"><font color="#FFFF00"><font
    size="-1">Checks cut log</font> </font></font></td>
  </tr>
  <tr bgcolor="#E4E4E4" align="center">
    <td bgcolor="#000000"><font color="#FFFF00" face="Verdana" size="-1">Date</font><font
    color="#FFFF00" face="Verdana"> </font></td>
    <td bgcolor="#000000"><font color="#FFFF00" face="Verdana" size="-1">Amount</font><font
    color="#FFFF00" face="Verdana"> </font></td>
  </tr>
</table>
EOF

foreach $entry(@paid) {
@out = split(/\|/,$entry);
print <<EOF;
<TR bgcolor=white>
<TD><FONT size="-1" FACE="Arial">$out[0]</FONT>
</TD><TD><FONT size="-1" FACE="Arial">$out[1]</FONT>
</TD></TR>

EOF

}

print "</TABLE><BR><BR>";

&Footer;
exit;
}
sub del {

$account = $INPUT{'function'};
print <<EOF;
<form METHOD="POST" ACTION="add.cgi">
  <input type="hidden" name="function" value="$account"><div align="center"><center><table
  cellspacing="1" bgcolor="#FFFFFF" border="0" cellpadding="3">
    <tr bgcolor="#E4E4E4" align="center">
      <td bgcolor="#000000"><font face="Verdana"><font size="-1">Enter you admin password<br>
      to confirm deletion of <br>
      account: <font color="#FFFF00"><b>$account</b></font></font> </font><br>
      <br>
      <input TYPE="PASSWORD" NAME="pass" VALUE size="20"> <br>
      <br>
      <input TYPE="SUBMIT" NAME="del_final" VALUE="Delete $account"> </td>
    </tr>
  </table>
  </center></div>
</form>

EOF
&Footer;
exit;


}

sub del_final {

unless ($INPUT{'pass'}) {
print <<EOF;
<div align="center"><center>

<table cellspacing="1" bgcolor="#FFFFFF" border="0" cellpadding="8">
  <tr bgcolor="#E4E4E4" align="center">
    <td bgcolor="#000000"><font face="Verdana" color="#FFFF00" size="-1">You must enter a
    password to edit</font><font face="Verdana" color="#FFFF00"> </font></td>
  </tr>
</table>
</center></div>
EOF
&Footer;
exit;
}

$password = crypt($INPUT{'pass'}, ar);

open (PASSWORD, "$path/data/accounts/$INPUT{'function'}.txt") || &no_acc($INPUT{'function'});
@accounts = <PASSWORD>;
close (PASSWORD);
chomp($accounts[8]);
unless($password eq $accounts[8]) {

print <<EOF;
<CENTER>
<table cellspacing =1 bgcolor =#00416B border=0 cellpadding =8>
<TR bgcolor=#E4E4E4 align=center><TD colspan=10><FONT size="-1" FACE="Arial"><B>Access Denied</B><BR><BR>Incorrect Password</FONT>
</TD></TR></TABLE>
EOF
&Footer;
exit;

}

$account = $INPUT{'account'};
unlink("$path/data/accounts/$account.txt");
unlink("$path/data/daily/$account.txt");
unlink("$path/data/logs/$account.txt");
unlink("$path/data/paid/$account.txt");


print <<EOF;
<table cellspacing =1 bgcolor =#00416B border=0 cellpadding =3>
<TR bgcolor=#E4E4E4 align=center><TD colspan=10><FONT size="-1" FACE="Arial">Account: <FONT COLOR="#FF0000">$account</FONT> deleted
</TD></TR>

</TABLE>

EOF
&Footer;
exit;

}
sub Header {

	print "<HTML><HEAD><TITLE>$click_name</TITLE></HEAD>\n";
	print "<body bgcolor=\"#000000\" text=\"#FFFFFF\" link=\"#0000FF\" vlink=\"#0000FF\" alink=\"#00FF00\">";
		open (HEAD, "$path/data/header.txt");
	@head = <HEAD>;
	close (HEAD);
			foreach $line (@head) {
			print "$line";
		}
	print "<br><BR><center>";
}


sub Footer {
         print HTML"</center>";
	open (HEAD, "$path/data/footer.txt");
	@foot = <HEAD>;
	close (HEAD);
			foreach $line (@foot) {
			print "$line";
		}
if ($credit) {
	print "<center><font size=-1><hr width=525 noshade size=1><a href=\"http://solutionscripts.com\">Click It</a> v$version<br>Created by <a href=\"http://solutionscripts.com\">Solution Scripts</a><br><br>";
	}
	print "</BODY></HTML>\n";
}

sub no_acc{
$account = $_[0] ;
print <<EOF;
<table cellspacing =1 bgcolor =#00416B border=0 cellpadding =8>
<TR bgcolor=#E4E4E4 align=center><TD><FONT SIZE="-1" FACE="Arial"><B>No such account as</B><BR><BR>
<font color=red>$account</font>
</FONT></TD></TR></TABLE>
EOF
&Footer;
exit;
}